[Bug 1652290] Re: Error with remote part depending on another remote part

2017-09-30 Thread Launchpad Bug Tracker
[Expired for snapcraft (Ubuntu) because there has been no activity for
60 days.]

** Changed in: snapcraft (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1652290

Title:
  Error with remote part depending on another remote part

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/snapcraft/+bug/1652290/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1652290] Re: Error with remote part depending on another remote part

2017-08-01 Thread Sergio Schvezov
is this still a thing in the latest releases of snapcraft?

** Changed in: snapcraft (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1652290

Title:
  Error with remote part depending on another remote part

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/snapcraft/+bug/1652290/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1652290] Re: Error with remote part depending on another remote part

2017-01-05 Thread Alberto Mardegan
I haven't tested it thoroughly, but this seems to be a workaround:

  http://bazaar.launchpad.net/~mardy/webapps-core/amazon-
snap/revision/148

Another unexpected thing is that if I invert the order of the parts in
the "after:" list, the build will fail.

** Summary changed:

- Unhelpful error message containing a part's name
+ Error with remote part depending on another remote part

** Description changed:

  The webapp-helper part defined in the wiki, as you can see from its
  definition [1], is meant to be built after the 'desktop-ubuntu-app-
  platform' part.
  
  But when I run snapcraft on my project [2], all I get is an unhelpful red 
single line:
-   'desktop-ubuntu-app-platform'
- on the standard error. 
+   'desktop-ubuntu-app-platform'
+ on the standard error. When run with --debug, I the stacktrace shows that 
somehow snapcraft has not added the 'desktop-ubuntu-app-platform' in its parts 
database:
+ 
+ =
+ Setting up part 'webapp-helper' with plugin 'dump' and properties {'stage': 
[], 'source': 'https://gitlab.com/mardy/snapcraft-webapp-helper.git', 
'stage-packages': ['webapp-container'], 'organize': {'webapp-launcher': 
'bin/webapp-launcher'}, 'plugin': 'dump', 'snap': []}.
+ Setting up part 'webapp-container' with plugin 'dump' and properties 
{'source': 'snap', 'stage': [], 'snap': [], 'plugin': 'dump'}.
+ Traceback (most recent call last):
+   File "/usr/bin/snapcraft", line 31, in 
+ snapcraft.main.main()
+   File "/usr/lib/python3/dist-packages/snapcraft/main.py", line 236, in main
+ return run(args, project_options)
+   File "/usr/lib/python3/dist-packages/snapcraft/main.py", line 295, in run
+ lifecycle.snap(project_options, args[''], args['--output'])
+   File "/usr/lib/python3/dist-packages/snapcraft/internal/lifecycle.py", line 
316, in snap
+ snap = execute('prime', project_options)
+   File "/usr/lib/python3/dist-packages/snapcraft/internal/lifecycle.py", line 
103, in execute
+ _Executor(config, project_options).run(step, part_names)
+   File "/usr/lib/python3/dist-packages/snapcraft/internal/lifecycle.py", line 
162, in run
+ self._run_step(step, part, part_names)
+   File "/usr/lib/python3/dist-packages/snapcraft/internal/lifecycle.py", line 
170, in _run_step
+ unstaged_prereqs = {p for p in prereqs
+   File "/usr/lib/python3/dist-packages/snapcraft/internal/lifecycle.py", line 
171, in 
+ if 'stage' not in self._steps_run[p]}
+ KeyError: 'desktop-ubuntu-app-platform'
+ =
  
  [1]: 
https://gitlab.com/mardy/snapcraft-webapp-helper/blob/master/snapcraft.yaml
  [2]: https://code.launchpad.net/~mardy/webapps-core/amazon-snap

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1652290

Title:
  Error with remote part depending on another remote part

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/snapcraft/+bug/1652290/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs